@charset "uft-8";

.roadmap-container{display:flex;flex-direction:column;align-items:center;position:relative;gap:3.2rem;margin:0 auto;max-width:94.8rem;text-align:center;}
.roadmap-container *{box-sizing:border-box;}
.roadmap-top-section{display:flex;flex-direction:column;align-items:center;gap:2.8rem;width:100%;}
.roadmap-badge{display:inline-flex;align-items:center;justify-content:center;padding:1.5rem 4rem;border-radius:10rem;background-color:var(--color12);}
.roadmap-badge-txt{font-size:2.4rem;font-weight:var(--font-weight-bold);color:var(--white100);letter-spacing:-0.048rem;}
.roadmap-arrow-v{width:13rem;}
.roadmap-progress{display:flex;align-items:center;gap:1.6rem;width:100%;border-radius:0.8rem;background:linear-gradient(90deg, var(--color26) 0%, var(--color147) 100%);}
.progress-step-side{display:flex;align-items:center;justify-content:center;padding:1.6rem 2.4rem;width:20rem;}
.progress-txt-muted{font-size:2.4rem;line-height:3.36rem;font-weight:var(--font-weight-bold);color:var(--white60);letter-spacing:-0.048rem;}
.progress-arrow{width:1.05rem;}
.progress-step-main{flex:1;display:flex;align-items:center;justify-content:center;padding:2rem 2.4rem;}
.roadmap-bottom-card{display:flex;flex-direction:column;align-items:center;width:100%;gap:4rem;padding:2.4rem 0 4rem;border:1px solid var(--color52);border-radius:0.8rem;background-color:var(--white100);}
.card-main-title{font-size:2.4rem;line-height:3.36rem;font-weight:var(--font-weight-bold);color:var(--color26);letter-spacing:-0.048rem;}
.card-grid{display:flex;align-items:center;padding:0 4rem;width:100%;}
.grid-item{flex:1;display:flex;flex-direction:column;align-items:flex-start;gap:1.2rem;}
.item-header-box{display:flex;align-items:center;justify-content:center;padding:0 2rem;width:100%;}
.item-header-txt{font-size:1.8rem;line-height:2.52rem;font-weight:var(--font-weight-bold);color:var(--color66);letter-spacing:-0.018rem;}
.item-desc-box{display:flex;flex-direction:column;align-items:center;width:100%;padding:0 2rem;}
.item-desc-txt{width:100%;font-size:1.6rem;line-height:2.24rem;color:var(--black01);letter-spacing:-0.032rem;}
.grid-separator{width:1px;height:2.4rem;background-color:var(--color52);}

@media screen and (max-width: 1024.98px){
	.roadmap-container{gap:2.4rem;width:100%;}
	.roadmap-badge{padding:1rem 2rem;}
	.roadmap-badge-txt{font-size:1.8rem;}
	.roadmap-arrow-v{width:8rem;}
	.roadmap-progress{flex-direction:column;gap:1rem;padding:1rem 0;}
	.progress-step-side,
	.progress-step-main{padding:0.5rem 1.5rem;width:100%;}
	.progress-txt-muted{font-size:1.8rem;}
	.progress-arrow{width:8px;transform:rotate(90deg);}
	.roadmap-bottom-card{gap:3rem;padding:2.4rem 1.5rem;}
	.card-main-title{font-size:2rem;}
	.card-grid{flex-direction:column;gap:2rem;padding:0;}
	.grid-item{align-items:center;width:100%;}
	.grid-separator{width:2.4rem;height:1px;}
	.item-header-txt{font-size:1.6rem;}
	.item-desc-txt{font-size:1.4rem;}
}